Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.connectivityverifiier
Interface ConnectivityVerifier

All Known Implementing Classes:
  ConnectivityVerifierImpl

    public interface ConnectivityVerifier

Method Summary
`Cancellable` | `findExternalAddress(java.net.InetSocketAddress local, java.util.Collection<java.net.InetSocketAddress> probeAddresses, Continuation<java.net.InetAddress,java.io.IOException> deliverResultToMe)` Finds the external address by contacting a random member of the probeAddresses
`Cancellable` | `findExternalNodes(java.net.InetSocketAddress local, java.util.Collection<java.net.InetSocketAddress> probeAddresses, Continuation<java.util.Collection<java.net.InetSocketAddress>,java.io.IOException> deliverResultToMe)` Finds known external nodes from other bootstrap nodes who are in your firewall
`Cancellable` | `verifyConnectivity(MultiInetSocketAddress local, java.util.Collection<java.net.InetSocketAddress> probeAddresses, ConnectivityResult deliverResultToMe)` Verify my connectivity using a 3rd party

Method Detail

### findExternalNodes

    Cancellable findExternalNodes(java.net.InetSocketAddress local,
                                  java.util.Collection<java.net.InetSocketAddress> probeAddresses,
                                  Continuation<java.util.Collection<java.net.InetSocketAddress>,java.io.IOException> deliverResultToMe)

  Finds known external nodes from other bootstrap nodes who are in your firewall

  Parameters:
    `local` - the local bindaddress
    `probeAddresses` - the nodes ask
    `deliverResultToMe` - deliver the result here
  Returns:
    cancel the operation

### findExternalAddress

    Cancellable findExternalAddress(java.net.InetSocketAddress local,
                                    java.util.Collection<java.net.InetSocketAddress> probeAddresses,
                                    Continuation<java.net.InetAddress,java.io.IOException> deliverResultToMe)

  Finds the external address by contacting a random member of the probeAddresses

  Parameters:
    `local` - the local bindaddress
    `probeAddresses` - the nodes ask
    `deliverResultToMe` - deliver the result here
  Returns:
    cancel the operation

### verifyConnectivity

    Cancellable verifyConnectivity(MultiInetSocketAddress local,
                                   java.util.Collection<java.net.InetSocketAddress> probeAddresses,
                                   ConnectivityResult deliverResultToMe)

  Verify my connectivity using a 3rd party

  Parameters:
    `local` -
    `probeAddresses` -
    `deliverResultToMe` -
  Returns:
    cancel the operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.